<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function watermark($imgName, $text, $font, $size)
{
  if(!($img = imagecreatefromjpeg($imgName))){
    echo("Nie mogę otworzyć pliku: $imgName");
    return false;
  }

  $sW = imagesx($img);
  $sH = imagesy($img);

  $arr = imagettfbbox($size, 0, $font, $text);
  $width = abs($arr[2] - $arr[0]) + 5;
  $height = abs($arr[1] - $arr[7]) + 1;

  $white = imagecolorallocate($img, 255, 255, 255);

  $posX = $sW - $width;
  $posY = $sH;
  imagettftext($img, $size, 0, $posX, $posY - 5, $white, $font, $text);

  $name = substr($imgName, 0, strlen($imgName) - 4);
  $name = $name."-watermarked.jpg";

  imagejpeg($img, $name);
  imagedestroy($img);
}

if($argc != 5){
  echo("Wywołanie skryptu: skrypt.php nazwa_obrazu.jpg tekst font wielkość_czcionki");
  exit;
}
watermark($argv[1], $argv[2], $argv[3], $argv[4]);
//watermark("obraz1.jpg", "Copyright 2007 by ML", "arial.ttf", 14);
?>
